Why does it say this app requires iOS 4.0 when your trying to download facebook to your iPhone 3g?

From what i read about Facebook's latest update you probably tried downloading an app not compatible with your iphone3.
I suggest you post your question on your current Facebook page.